function [probs basetot] = constructProbs2(values,means,trials)
nscans = size(values,1);
nstates = size(means,2);
sqrs = zeros(nscans,nstates);
values = max(-5,min(5,values));
for i = 1:nstates
    sqrs(:,i)=-sum((values - repmat(means(:,i)',nscans,1)).^2,2)/2; 
end
base = exp(max(-500,sqrs));
probs = zeros(nscans+sum(trials==1)+1,nstates+1);
basetot=0;
index = 1;
flag = 0;
for i = 1:nscans
    if trials(i)==1
        probs(index,nstates+1)=1;
        index = index + 1;
    end
    basesum = sum(base(i,:));
    probs(index,1:nstates)=base(i,:)/basesum;
    basetot = basetot+log(basesum);
    if basetot == -inf && flag ==0
        flag=i
        basesum = sum(base(i,:))
    end
    index = index+1;
end
probs(end,nstates+1)=1;