function [lkh means1 params1 probpairs1 Pest1]=hsmmEstimate(activations,means,params,thresh)
nstates = size(means,2);

A = cat(1,cat(2,zeros(nstates,1),eye(nstates)),cat(2,1,zeros(1,nstates)));
values=activations(:,2:end);
trials=activations(:,1);
ntrials=sum(trials==1);
maxlength=max(trials);
nvals = size(values,2);
M = nstates+1;
template = zeros(M,1);
template(M)=1;             
Pest=zeros(M,maxlength);
Pest1=zeros(M,maxlength+1);
Ah = A; %Remember the transition matrix before skips
means1=means;
params1=params;

P=zeros(M,maxlength);
P(M,1,:) = 1;
if thresh == 0
    bound = 1;
else
    bound = 200;
end
for ir=1:bound
    for i = 1:M-1
            P(i,:)=gamma21P2(params(i,1),params(i,2),maxlength)';
    end
    if ir > 1
        lkh1=lkh;
        basetot1=basetot;
    else
        lkh1=-Inf;
        basetot1=-Inf;
    end
    lkh = 0;
    Pest(:)=0;
    [B basetot] = constructProbs2(values,means,trials);
     B = B';
     T=size(B,2);    %The total number of scans
     bmx=zeros(M,T);
     S=zeros(M,T);
     E=zeros(M,T);
     Best=zeros(M,T); 
     A = skipsP1(Ah,params(:,:),maxlength);
%++++++++++++++++++     Forward     +++++++++++++++++
        %---------------    Initialization    ---------------
        ALPHA=zeros(M,maxlength); ALPHA(M,1)=1;
        bmx(M,1)=1;			%Equation (2)
        E(M,1)=1;	%Equation (5)
        S(:,1)=A(M,:)';
%---------------    Induction    ---------------
        for t=2:T
            ALPHA=[repmat(S(:,t-1),1,maxlength-1).*P(:,1:maxlength-1)+repmat(bmx(:,t-1),1,maxlength-1).*ALPHA(:,2:maxlength),S(:,t-1).*P(:,maxlength)];	 
            r=(B(:,t)'*sum(ALPHA,2));		%Equation (3) probability of scan
            bmx(:,t)=B(:,t)./r;			%Equation (2)   probability of state occupancy
            E(:,t)=bmx(:,t).*ALPHA(:,1);		%Equation (5) exiting state
            S(:,t)=A'*E(:,t);     %Equation (6) and going into another state
            lkh=lkh+log(r);
        end
%++++++++ Backward and Parameter Restimation ++++++++
% re-estimate parameters
    %---------------    Initialization    ---------------
            GAMMA=bmx(:,T).*sum(ALPHA,2);
            Best(:)=0;
            Best(:,T)=GAMMA;
            BETA=repmat(bmx(:,T),1,maxlength);				%Equation (7)
            Ex=sum(P(:,:).*BETA,2);					%Equation (8)
            Sx=A*Ex;						%Equation (9)
    %---------------    Induction    ---------------
            for t=(T-1):-1:1
                Pest(:,:)=Pest(:,:)+repmat(S(:,t),1,maxlength).*BETA;
                GAMMA=GAMMA+E(:,t).*Sx-S(:,t).*Ex;
                GAMMA(GAMMA<0)=0;           % eleminate errors due to inaccurace of the computation.
                Best(:,t)=Best(:,t)+GAMMA;
                BETA=repmat(bmx(:,t),1,maxlength).*[Sx,BETA(:,1:maxlength-1)];	%Equation (14)
                Ex=sum(P(:,:).*BETA,2);					%Equation (8)
                Sx=A*Ex;						%Equation (9)
            end 
            probpairs=Best(1:nstates,not(Best(nstates+1,:)>.99))';
            Pest(:,:)=Pest(:,:)+repmat(template,1,maxlength).*BETA;              
       Pest(:,:)=Pest(:,:).*P(:,:);
       for jj = 1:M
            Pest1(jj,:)=cat(2,ntrials -sum(Pest(jj,:)),Pest(jj,:));
       end
   if thresh~=0
       for i = 1:M-1
            params(i,:)=fminsearch(@(x)gammaEst(Pest1(i,:),x),[2 2]);
            means(:,i)= sum(values.*repmat(probpairs(:,i),1,nvals))/sum(probpairs(:,i));
       end 
       if ir>1 
             %s[ir, basetot+lkh-basetot1-lkh1]
       end
       if ir > 1 && (basetot+lkh-basetot1-lkh1)<thresh  
            break
       else
            basetot1=basetot;
            probpairs1=probpairs;
            params1=params;
            means1=means;
       end
       lkh1=lkh;
   else
       lkh1 = lkh;
       basetot1=basetot;
       probpairs1=probpairs;
       break
   end           
end
lkh=max(lkh+basetot,lkh1+basetot1);